
Redmine - Feature #11300

Update issue - form position

2012-07-01 23:30 - #  And

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I personally use "Reverse chronological order", so latest updates are top located. It is very inconvenient to get a update form at

bottom, while latest update in top.

Is this issue but or feature?

Related issues:

Copied to Redmine - Patch #12524: Update issue - form position Closed

History

#1 - 2012-07-09 17:16 - #  And

- Assignee set to Jean-Philippe Lang

Hey, anyone? =)

#2 - 2012-08-16 00:10 - #  And

I resolve it myself. Add, please, code to repository:

  <script type="text/javascript">

    (function(){

      var reverseOrder = <%= User.current.wants_comments_in_reverse_order? %>,

        historyElement = $('history'),

        updateElement = $('update');

      if (reverseOrder && historyElement) {

        // Add br-element at bottom of update for to simulate some margin from journals

          updateElement.insert({ bottom: new Element('br') });

        // Inject before journals

        historyElement.insert({ before: updateElement });

      }

    })();

  </script>
#3 - 2012-08-16 00:17 - #  And

Here it code update.

  <script type="text/javascript">

    (function(){

      var reverseOrder = <%= User.current.wants_comments_in_reverse_order? %>,

        historyElement = $('history'),

        updateElement = $('update');

      if (reverseOrder && historyElement) {

        // Add br-element at bottom of update for to simulate some margin from journals

        // and apply css-clear-property to break some long commit lists

          updateElement.insert({ bottom: new Element('br') }).setStyle({ clear: 'both' });

        // Inject before journals

        historyElement.insert({ before: updateElement });

      }
    })();

  </script>

#4 - 2012-09-30 22:57 - #  And

- File form_position.patch added

Added patch to Redmine 2.1.0.

#5 - 2012-12-06 15:35 - #  And

- Status changed from New to Resolved

Moved to #12524

#6 - 2013-10-31 14:39 - Etienne Massip

- Status changed from Resolved to New

- Assignee deleted (Jean-Philippe Lang)

I don't think this should be done using JavaScript?

#7 - 2013-11-01 16:32 - #  And

Actually, yes. I just don't know Ruby syntax, that's why I used JS.

#8 - 2016-05-09 07:56 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #12524.

Files

form_position.patch 1.3 KB 2012-09-30 #  And
